import { post, get } from "@/utils/fetch"

// 职位管理列表
export const getJobListApi = parameters => post("/api/job/page", parameters)

// 关联岗位列表
export const getPostListApi = (parameters) => get("/api/position/list", parameters)

// 职位类型树
export const jobCategoryTreeApi = (parameters) => post("/api/job/category/tree", parameters)

// 添加职位
export const addJobApi = (parameters) => post("/api/job/add", parameters)

// 职位详情
export const detailJobApi = (parameters) => get("/api/job/detail", parameters)

// 停止招聘
export const stopJobApi = (parameters) => get("/api/job/stop", parameters)

// 开启招聘
export const startJobApi = (parameters) => get("/api/job/start", parameters)

// 删除职位
export const deleteJobApi = (parameters) => get("/api/job/delete", parameters)

// 编辑职位
export const updateJobApi = (parameters) => post("/api/job/update", parameters)

// 企业职位列表
export const selectListJobApi = (parameters) => get("/api/job/selectList", parameters)

// 获取面试官 - 齐兴

export const getJobInterviewListApi = async (parameters) => {
  const data = await get("/api/job/interviewList", parameters)
  for (const item of data) {
    // 如果面试官被删除 ， 下拉选项 标记禁用状态
    if (item.deleted) item.disabled = true
  }
  return data
}
