import { get, post } from "@/utils/fetch"

// 添加渠道
export const addPlatformApi = parameters => post("/api/platform/add", parameters)

// 停用
export const disablePlatformApi = parameters => post("/api/platform/disable", parameters)

// 启用
export const enablePlatformApi = parameters => post("/api/platform/enable", parameters)

// 列表接口
export const getPlatformListApi = async (parameters) => {
  parameters.limit = 99_999
  const data = await post("/api/platform/list", parameters)
  for (const item of data.list) {
    item.disabled = item.disabled ? "停用" : "启用"
  }
  return data
}

// 删除
export const removePlatformApi = parameters => post("/api/platform/remove", parameters)

// 更新
export const updatePlatformApi = parameters => post("/api/platform/update", parameters)

// 获取详情
export const detailFieldApi = parameters => get("/api/platform/detail", parameters)
