import { get, post } from "@/utils/fetch"

// 候选人管理列表
// export const getCandidateListApi = parameters => post("/api/candidate/list", parameters)
export const getCandidateListApi = async (parameters) => {
  const data = await post("/api/candidate/list", parameters)
  data.list = data.list || []
  for (const item of data.list) {
    item.stageId = parameters.filters.stageId
  }
  return data
}

// 获取候选人所有投递岗位 - 齐兴
export const getCandidateAllJobApi = parameters => get("/api/candidate/getCandidateAllJob", parameters)

// 安排面试
export const arrangeInterviewApi = parameters => {
  parameters.addressId -= ""
  parameters.contactId -= ""
  parameters.durationTime -= ""
  parameters.interviewerId -= ""
  return post("/api/interview/arrange", parameters)
}

// 面试完成
export const interviewFinishApi = parameters => post("/api/interview/finish", parameters)

// 放弃面试
export const discardApi = parameters => post("/api/candidate/discard", parameters)

// 添加候选人
export const addCandidateApi = parameters => post("/api/candidate/add", parameters)

// 获取职位所处的流程 
export const getProcessApi = parameters => post("/api/candidate/getProcess", parameters)

// 推荐
export const recommendApi = parameters => post("/api/candidate/recommend", parameters)

// 待入职 
export const waitEntryApi = parameters => post("/api/candidate/waitEntry", parameters)