import { get, post } from "@/utils/fetch"

// 添加邮箱
export const addEmailApi = parameters => post("/api/email/add", parameters)

// 停用
export const disableEmailApi = parameters => post("/api/email/disable", parameters)

// 启用
export const enableEmailApi = parameters => post("/api/email/enable", parameters)

// 列表接口
export const getEmailListApi = async (parameters) => {
  parameters.limit = 99_999
  const data = await post("/api/email/list", parameters)
  for (const item of data.list) {
    item.platformText = item.platformList.filter(Boolean).map(item => item.name).join(",")
    item.disabled = item.disabled ? "停用" : "启用"
  }
  return data
}

// 删除
export const removeEmailApi = parameters => post("/api/email/remove", parameters)

// 更新
export const updateEmailApi = parameters => post("/api/email/update", parameters)

// 获取详情
export const detailFieldApi = parameters => get("/api/email/detail", parameters)
