/*
 * @Date: 2022-09-16 10:57:50
 * @LastEditors: zhaoxm
 * @LastEditTime: 2022-10-29 17:52:54
 * @Description: 简历API
 */

import { get, post } from "@/utils/fetch"

// 简历解析
export const getAnalysisApi = (parameters, config) => get("/api/resume/analysis", parameters, config)

// 添加标签
export const addResumeTagApi = parameters => post("/api/resume/addTag", parameters)

// 删除标签
export const delResumeTagApi = parameters => post("/api/resume/delTag", parameters)

// 批量更新标签
export const updateTagResumeTagApi = parameters => post("/api/resume/updateTag", parameters)

// 添加简历
export const addResumeApi = parameters => post("/api/resume/add", parameters)

// 分配职位
export const assignJobApi = parameters => post("/api/resume/assignJob", parameters)

// 获取简历附件
export const getAttachmentApi = parameters => get("/api/resume/attachment", parameters)

// 编辑简历基础数据
export const updateBasicApi = parameters => post("/api/resume/basic/update", parameters)

// 简历详情
export const getResumeDetailApi = parameters => get("/api/talentsBank/resume/detail", parameters)

// 获取简历基础数据
export const getBasicApi = parameters => get("/api/resume/getBasic", parameters)

// 新增简历分组数据
export const addGroupRecordApi = parameters => post("/api/resume/groupRecord/add", parameters)

// 删除简历分组数据
export const removeGroupRecordApi = parameters => post("/api/resume/groupRecord/remove", parameters)

// 编辑简历分组数据
export const updateGroupRecordApi = parameters => post("/api/resume/groupRecord/update", parameters)

// 面试登记详情
export const getRegisterApi = parameters => get("/api/resume/interview/register", parameters)

// 简历列表
export const getResumeListApi = async (parameters) => {
  const data = await post("/api/resume/list", parameters)
  for (const item of data.list) {
    item.operations = ["assignTalent"]
  }
  return data
}

// 获取简历阶段列表 - 齐兴
export const getStageListApi = parameters => get("/api/resume/stage/list", parameters)

// 简历详情操作接口 - 齐兴
export const getOperations = parameters => get("/api/resume/getOperations", parameters)

// 获取offer模板 - 建会
export const getOfferDefinitionApi = parameters => get("/api/resume/getOfferDefinition", parameters)

// 重复简历 - 建会
export const getRepeatResumeListApi = parameters => get("/api/resume/listRepeat", parameters)

// 获取简历面试列表 - 建会
export const getInterviewListApi = parameters => get("/api/resume/getInterviewList", parameters)
