/*
 * @Author: zhaoxm
 * @Date: 2022-02-22 13:44:39
 * @LastEditTime: 2024-04-23 15:30:21
 * @Description: 自动注册为全局组件
 */
const modulesFiles = require.context("./", true, /index\.vue$/)

const modules = {}
for (const key of modulesFiles.keys()) {
  const moduleName = key.replace(/(\.\/|\/index\.vue$)/g, "")
  modules[moduleName] = modulesFiles(key).default
}

export default {
  install(Vue) {
    for (const path of Object.keys(modules)) {
      if (path.includes("app") || path.includes("o-")) {
        Vue.component(path, modules[path])
      }
    }
  },
}