###富文本编辑器使用说明
* * *

####>1、创建编辑器
````
1、定义html结构

<template>
    <div>
        <o-editor @on-editor-created="editorCreate" v-model="html"/>
    </div>
</template>

2、定义js

<script>
    export default {
        data () {
            return {
                //定义html
                html: "<p>hello o-editor</p>",
                //定义编辑器实例
                editor: null
            };
        },
        methods: {
            //编辑器回调事件
            editorCreate (editor) {
                this.editor = editor;
            }
        }
    }
</script>
````
效果图：

![编辑器创建完成图片](http://localhost:3000/src/assets/image/md/editor/1.jpg)


####>2、API

1)、属性

|  属性名   | 默认值  | 类型  |说明  |
|  ----  | ----  | ---- | ---- |
|  value  | - | string | 当前值，可以使用 v-model 双向绑定数据  |
|  mode  | default  | string| 模式， default：默认模式 &nbsp; simple：简洁模式  |
|  height  | 500px  | string| 编辑器高度，默认500px  |

2)、方法

|  方法名   |   参数  |  返回值   | 默认值  | 说明  |
|  ----  | ----  |  ----  | ----  | ----  |
| insertHtml()  | html: string  |   void  | - | 在当前光标后面追加html |
| insertText()  | -  |   void  | - | 在选区插入文本 |
| setHtml()     | html: string | void  | - | 重置编辑器的 HTML 内容。注意】只能解析 editor.getHtml() 返回的 HTML 格式，不支持自定义 HTML 格式。 |
| isEmpty()  | -  |   boolean  | - | 判断当前编辑器内容是否为空（只有一个空段落） |
| getSelectionText()  | -  |   string  | - | 获取选中的文本 |
| insertBreak()  | -  |   void  | - | 在选区回车换行 |
| clear()  | - |   void  | - | 清空编辑器内容  |
| redo()  | -  |   void  | - | 重做 |

3)、事件

|  事件名   |   参数  | 说明  |
|  ----  | ----  |   ----  |
|  on-editor-created  | editor  |  编辑器创建完成派发  |
|  on-change  | editor  |  编辑器改变时派发  |
