/*
 * @Date: 2022-03-03 22:42:52
 * @LastEditors: zhaoxm
 * @LastEditTime: 2024-04-23 15:25:25
 * @Description: 全局指令注册
 */

function importAll(r) {
  return r.keys().map((key) => ({
    key,
    module: r(key)
  }))
}
  
const modules = importAll(require.context("./", false, /\.js$/))
  
export default {
  install(Vue) {
    for (const { key, module } of modules) {
      const directiveName = key.replace("./", "").replace(".js", "")
      Vue.directive(directiveName, module.default || module)
    }
  },
}