import Vue from "vue"
import NProgress from "nprogress"
import VueRouter from "vue-router"

const requireContext = require.context("./modules/", false, /(\.js)$/)
const keys = requireContext.keys()
const modules = keys.map(key => requireContext(key))
const routes = modules.reduce((routes, module) => {
  return [...routes, ...module.default]
}, [])

const router = new VueRouter({
  base: window.env.staticPath,
  mode: "history",
  routes,
})

router.beforeEach((to, from, next) => {
  NProgress.start()
  next()
})

router.afterEach(() => {
  NProgress.done()
})

Vue.use(VueRouter)

export default router
