export default [
  {
    path: "/recruitment/list",
    name:"recruitmentList",
    component: () => import("@/views/recruitment/list.vue"),
    meta:{
      title:"候选人管理",
      keepAlive:true,
      businessCode:"recruit.candidate"
    }
  },
  {
    path: "/recruitment/add",
    name:"recruitmentAdd",
    component: () => import("@/views/recruitment/add.vue"),
    meta:{
      title:"添加候选人",
      hideHomeTab:true,
    }
  },
  {
    path: "/recruitment/edit/:id",
    name:"recruitmentEdit",
    component: () => import("@/views/recruitment/add.vue"),
    meta:{
      title:"编辑简历",
      hideHomeTab:true,
    }
  },
  {
    path: "/recruitment/detail/:resumeId",
    name:"recruitmentDetail",
    component: () => import("@/views/recruitment/detail.vue"),
    meta:{
      title:"候选人详情",
      hideHomeTab:true
    }
  },
  {
    path: "/resume/detail/:resumeId",
    name:"resumeDetail",
    component: () => import("@/views/recruitment/detail.vue"),
    meta:{
      title:"简历详情",
      hideHomeTab:true
    }
  },
  {
    path: "/recruitment/import",
    name:"recruitmentImport",
    component: () => import("@/views/recruitment/import.vue"),
    meta:{
      menu:false,
      title:"简历导入",
      hideHomeTab:true
    }
  },
  {
    path: "/recruitment/send-offer/:resumeId",
    name:"sendOffer",
    component: () => import("@/views/recruitment/send-offer.vue"),
    meta:{
      title:"发放offer",
      keepAlive:true,
      hideHomeTab:true
    }
  },
  {
    path: "/recruitment/offer-preview/:resumeId",
    name:"offerPreview",
    component: () => import("@/views/recruitment/offer-preview.vue"),
    meta:{
      title:"offer预览",
      hideHomeTab:true
    }
  },
  {
    path: "/recruitment/:resumeId/approval",
    name:"approval",
    component: () => import("@/views/recruitment/approval.vue"),
    meta:{
      title:"录用审批",
      hideHomeTab:true
    }
  }
]
