import Vue from "vue"
import Vuex from "vuex"
import getters from "./getters"
import mutations from "./mutations"
import state from "./state"

const modulesContext = require.context("./modules", true, /\.js$/)

const modules = {}

for (const key of modulesContext.keys()) {
  const moduleName = key.match(/(\w+)\.js$/)[1]
  modules[moduleName] = modulesContext(key).default
}

Vue.use(Vuex)

const store = new Vuex.Store({
  state,
  modules,
  getters,
  mutations,
})

export default store
