/*
 * @Date: 2022-04-18 15:43:27
 * @LastEditors: zhaoxm
 * @LastEditTime: 2022-09-14 14:44:01
 * @Description: 调试
 */

import { getUrlAllParameters } from "."
import cache from "./storage"

export default {
  install(Vue) {
    const { debug } = getUrlAllParameters()
    const { href } = window.location
    
    window.cache = cache 

    window.$login = (token, isReload = true) => {
      if (isReload) window.location.reload()
    }

    Object.defineProperty(window, "debug", {
      get() {
        return cache.get("debug")
      },
      set(newValue) {
        Vue.prototype.$debug = newValue
        cache.save("debug", newValue)
      },
    })

    window.navCode = function () {
      const symbol = href.includes("?") ? "&" : "?"
      window.location.href = `${href}${symbol}app=EXPENSE_CONTROL`
    }

    window.debug = debug || cache.get("debug")
    
  },
}
