/* eslint-disable no-magic-numbers */
/*
 * @Date: 2022-03-02 20:18:17
 * @LastEditors: zhaoxm
 * @LastEditTime: 2022-09-26 20:01:00
 * @Description: 请求默认参数配置项
 */

import { ContentTypeEnum } from "./enum"
import { transform } from "./transform"

const timeout = 100 * 1000
const cacheTime = 1000 * 60 * 60 * 60
export const baseURL = window.env.api

export default {
  transform,
  // 超时时间
  timeout,
  // 请求头
  headers: { "Content-Type": ContentTypeEnum.JSON },
  // 请求地址
  baseURL,
  // 配置项，下面的选项都可以在独立的接口请求中覆盖
  requestOptions: {
    defCacheTime:cacheTime,
    // 是否缓存
    isCache: false,
    // 针对数据选项 设置 字段映射 例如 "name as label,id as value"
    field: "",
    // 缓存数据的时间 ， 单位毫秒， 不传则不缓存
    cacheTime: "",
    // 是否返回原生响应头
    isReturnNativeResponse: false,
    // 业务code失败是否返回弹框
    ifShowErrorModal: true,
    // 消息提示类型 可选值，message | messageBox
    errorMessageMode: "message",
    // responseType类型
    responseType: "",
    // 是否自动下载
    isAutoDownload: true,
    // 是否去掉参数为空值的入参
    isRemoveEmptyParams: false,
    // 接口拼接地址
    urlPrefix: "",
    // 忽略重复请求
    ignoreCancelToken: false,
    // 是否携带token
    withToken: true,
  },
}
