/*
 * @Date: 2022-02-26 00:13:21
 * @LastEditors: zhaoxm
 * @LastEditTime: 2022-09-25 18:05:45
 * @Description: 比较常用的方法，挂载到Vue实例上其他页面可方便调用
 */

import { unlimitedInputValueRule } from "@/utils/form-rules"
import cache from "@/utils/storage"
import Vue from "vue"

export function $routerPush (path) {
  this.$router.push(path)
}

export function $routerReplace (path) {
  this.$router.replace(path)
}

export function $routerBack (index = -1) {
  this.$router.go(index)
}

export const $windowOpen = (url) => {
  if (!url) return
  window.open(url)
}

export const $windowHref = (url) => {
  if (!url) return
  window.location.href = url
}

export const $eventBus = new Vue()

// 把当前页面的方法注册到Vue实例上去
export const install = (methods) => {
  return function (Vue) {
    for (const methodsName of Object.keys(methods)) {
      if (methodsName.startsWith("$")) {
        Vue.prototype[methodsName] = methods[methodsName]
      }
    }
    Vue.prototype.$cache = cache
  }
}

export const $unlimitedInputValueRule = unlimitedInputValueRule()
