/*
 * @Date: 2022-03-21 09:49:52
 * @LastEditors: zhaoxm
 * @LastEditTime: 2022-10-08 10:30:52
 * @Description: 正则
 */

/**
 * @description: 是否为金额
 * @param { number|string } value
 * @return { boolean }
 */
export const isAmount = (value) => {
  const reg =
    /(?:^[1-9](\d+)?(?:\.\d{1,2})?$)|(?:^0$)|(?:^\d\.\d\d?$)/
  return reg.test(String(value))
}

/**
 * @description: 是否包含非法字符
 * @return { boolean }
 */
export const isUnlimitedInputValue = (value) => {
  const reg =
    /[^\w !"#$%&'()*,./:;<=>?@[\\\]^`{|}~—‘“”…、。【】\u4E00-\u9FA5！（），：；？￥-]/g
  return !reg.test(String(value))
}

/**
 * @description: 是否为正整数
 * @return { boolean }
 */
export const isPositiveInteger = (value) => {
  const reg = /^\+?[1-9]\d*$/
  return reg.test(String(value))
}

/**
 * @description: 富文本编辑器输入是否为空或回车
 * @return { boolean }
 */
export const isEditorNull = (value) => {
  const string_ = value
    .replace(/<[^<>p]+>/g, "")
    .replace(/<[$/<>p]+>/g, "")
    .replace(/&nbsp;/gi, "")
    .replace(/<[^/<>br]+>/g, "")
  if (string_ === "") return true
  const regu = "^[ ]+$"
  const re = new RegExp(regu)
  return re.test(string_)
}
